diff --git python-gensim/python-gensim.spec python-gensim/python-gensim.spec.tmp
index b31c79e41f..3e6b07453c 100644
--- python-gensim/python-gensim.spec
+++ python-gensim/python-gensim.spec.tmp
@@ -43,7 +43,7 @@ multiple cores.								\
 
 Name:			python-%{pypi_name}
 Version:		0.10.0
-Release:		10%{?gitrel}%{?dist}
+Release:		11%{?gitrel}%{?dist}
 Summary:		Python framework for fast Vector Space Modelling
 
 License:		LGPLv2
@@ -58,9 +58,17 @@ URL:			http://radimrehurek.com/%{pypi_name}/
 # https://github.com/RaRe-Technologies/gensim/commit/f44d3a98d6a68ea30326a553b1ee2116a5c459b6
 Patch0: fix-docs-build.patch
 
-%description
-%{common_description}
+%global _description\
+%{common_description}\
+
+
+%description %_description
 
+%package -n python2-%{pypi_name}-addons
+Summary: %summary
+%{?python_provide:%python_provide python2-%{pypi_name}-addons}
+
+%description -n python2-%{pypi_name}-addons %_description
 
 %package addons
 Summary:		Highly optimized version of word2vec for %{pypi_name}
@@ -279,7 +287,7 @@ popd
 %endif #0%{?with_python3}
 
 
-%files addons
+%files -n python2-%{pypi_name}-addons
 %{python2_sitearch}/%{pypi_name}_addons
 %{python2_sitearch}/%{pypi_name}_addons-%{version}-py%{python2_version}.egg-info
 
@@ -321,6 +329,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.0-11
+- Python 2 subpackage renamed to python2-gensim
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-10
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-geojson/python-geojson.spec python-geojson/python-geojson.spec.tmp
index 7ac3b363a3..826eb7f3eb 100644
--- python-geojson/python-geojson.spec
+++ python-geojson/python-geojson.spec.tmp
@@ -13,7 +13,7 @@
 
 Name:               python-geojson
 Version:            1.3.0
-Release:            7%{?dist}
+Release:            8%{?dist}
 Summary:            Encoder/decoder for simple GIS features
 
 Group:              Development/Libraries
@@ -27,13 +27,20 @@ BuildRequires:      python2-devel
 BuildRequires:      python-setuptools
 BuildRequires:      python-simplejson
 
-Requires:           python-setuptools
+%global _description\
+Geojson provides geometry, feature, and collection classes, and supports\
+pickle-style dump and load of objects that provide the lab's Python geo\
+interface.
+
+%description %_description
+
+%package -n python2-geojson
+Summary: %summary
 Requires:           python-simplejson
+Requires:           python-setuptools
+%{?python_provide:%python_provide python2-geojson}
 
-%description
-Geojson provides geometry, feature, and collection classes, and supports
-pickle-style dump and load of objects that provide the lab's Python geo
-interface.
+%description -n python2-geojson %_description
 
 %if 0%{?with_python3}
 %package -n python3-geojson
@@ -86,7 +93,7 @@ popd
 #%%check
 #%%{__python} setup.py test
 
-%files
+%files -n python2-geojson
 %doc README.rst LICENSE.rst CHANGELOG.rst
 %{python2_sitelib}/%{modname}/
 %{python2_sitelib}/%{modname}-%{version}*
@@ -99,6 +106,10 @@ popd
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.3.0-8
+- Python 2 subpackage renamed to python2-geojson
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-7
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gerrit/python-gerrit.spec python-gerrit/python-gerrit.spec.tmp
index e365844147..3da96ae68c 100644
--- python-gerrit/python-gerrit.spec
+++ python-gerrit/python-gerrit.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-gerrit
 Version:        0.0.1
-Release:        10.git%{githash}%{?dist}
+Release:        11.git%{githash}%{?dist}
 Summary:        Python interface to Gerrit
 
 Group:          Development/Languages
@@ -14,10 +14,18 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
-%description
-python-gerrit is a Python interface to Gerrit, a code review system
+%global _description\
+python-gerrit is a Python interface to Gerrit, a code review system\
 for Git.
 
+%description %_description
+
+%package -n python2-gerrit
+Summary: %summary
+%{?python_provide:%python_provide python2-gerrit}
+
+%description -n python2-gerrit %_description
+
 %prep
 %setup -q -n bcwaldon-python-gerrit-%{githash}
 
@@ -30,12 +38,16 @@ for Git.
 %{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
 
 
-%files
+%files -n python2-gerrit
 %doc README LICENSE
 %{python_sitelib}/*
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.1-11.gita7ffd76
+- Python 2 subpackage renamed to python2-gerrit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.1-10.gita7ffd76
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gerrit-view/python-gerrit-view.spec python-gerrit-view/python-gerrit-view.spec.tmp
index 320f11fad4..d2ab1df689 100644
--- python-gerrit-view/python-gerrit-view.spec
+++ python-gerrit-view/python-gerrit-view.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:           python-gerrit-view 
 Version:        0.3.2
-Release:        6%{?dist}
+Release:        7%{?dist}
 Summary:        A set of tools to query/view Gerrit patch reviews and their Zuul status
 
 License:        ASL 2.0 
@@ -24,21 +24,28 @@ BuildRequires:  python2-devel
 BuildRequires:  python-urwid 
 BuildRequires:  python-requests
 
-Requires: python-gerritlib
-Requires: python-requests
-Requires: python-six
-Requires: python-prettytable
-Requires: python-urwid
-Requires: python-paramiko
+%global _description\
+A set of tools to query/view Gerrit patch reviews and their status.\
+Current set of tools: (1) qgerrit -- to query different projects' Gerrit\
+reviews based on a set of criteria/filters; (2) cgerrit -- to view (in\
+real time) Gerrit reviews on CLI; (3) czuul -- to view Gerrit reviews'\
+Zuul (a pipeline oriented project gating and automation system) status\
+on CLI.
+
+%description %_description
+
+%package -n python2-gerrit-view
+Summary: %summary
 Requires: GitPython
+Requires: python-paramiko
+Requires: python-urwid
+Requires: python-prettytable
+Requires: python-six
+Requires: python-requests
+Requires: python-gerritlib
+%{?python_provide:%python_provide python2-gerrit-view}
 
-%description
-A set of tools to query/view Gerrit patch reviews and their status.
-Current set of tools: (1) qgerrit -- to query different projects' Gerrit
-reviews based on a set of criteria/filters; (2) cgerrit -- to view (in
-real time) Gerrit reviews on CLI; (3) czuul -- to view Gerrit reviews'
-Zuul (a pipeline oriented project gating and automation system) status
-on CLI.
+%description -n python2-gerrit-view %_description
 
 %prep
 %setup -q -n %{pypi_name}-%{version}
@@ -52,12 +59,16 @@ rm -rf gerrit_view.egg-info
 %install
 %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 
-%files
+%files -n python2-gerrit-view
 %doc README.rst
 %{_bindir}/*
 %{python2_sitelib}/gerrit_view-%{version}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.2-7
+- Python 2 subpackage renamed to python2-gerrit-view
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gertty/python-gertty.spec python-gertty/python-gertty.spec.tmp
index ddd952a2c9..da1829abc2 100644
--- python-gertty/python-gertty.spec
+++ python-gertty/python-gertty.spec.tmp
@@ -10,7 +10,7 @@
 
 Name:           python-gertty
 Version:        1.4.0
-Release:        3%{?dist}
+Release:        4%{?dist}
 Summary:        Gertty is a console-based interface to the Gerrit Code Review system
 
 License:        ASL 2.0 
@@ -25,34 +25,41 @@ BuildRequires:  python2-devel
 BuildRequires:  python-requests
 BuildRequires:  python-pbr
 
-Requires: python-pbr
-Requires: python-urwid
-Requires: python-sqlalchemy
-Requires: GitPython
-Requires: python-dateutil
-Requires: python-requests
-Requires: python-alembic
-Requires: PyYAML
-Requires: python-voluptuous
-Requires: python-ply
-Requires: python-six
 
 
-
-%description
-Gertty is a console-based interface to the Gerrit Code Review system. As
-compared to the web interface, the main advantages are: (a) Work flow -- the
-interface is designed to support a work flow similar to reading network news or
-mail. In particular, it is designed to deal with a large number of review
-requests across a large number of projects. (b) Offline Use -- Gertty syncs
-information about changes in subscribed projects to a local database and local
-git repositories. All review operations are performed against that database
-and then synced back to Gerrit. (c) Speed -- user actions modify locally
-cached content and need not wait for server interaction. (d) Convenience --
-because Gertty downloads all changes to local git repositories, a single
-command instructs it to checkout a change into that repositories for detailed
+%global _description\
+Gertty is a console-based interface to the Gerrit Code Review system. As\
+compared to the web interface, the main advantages are: (a) Work flow -- the\
+interface is designed to support a work flow similar to reading network news or\
+mail. In particular, it is designed to deal with a large number of review\
+requests across a large number of projects. (b) Offline Use -- Gertty syncs\
+information about changes in subscribed projects to a local database and local\
+git repositories. All review operations are performed against that database\
+and then synced back to Gerrit. (c) Speed -- user actions modify locally\
+cached content and need not wait for server interaction. (d) Convenience --\
+because Gertty downloads all changes to local git repositories, a single\
+command instructs it to checkout a change into that repositories for detailed\
 examination or testing of larger changes.
 
+%description %_description
+
+%package -n python2-gertty
+Summary: %summary
+Requires: python-six
+Requires: python-ply
+Requires: python-voluptuous
+Requires: PyYAML
+Requires: python-alembic
+Requires: python-requests
+Requires: python-dateutil
+Requires: GitPython
+Requires: python-sqlalchemy
+Requires: python-urwid
+Requires: python-pbr
+%{?python_provide:%python_provide python2-gertty}
+
+%description -n python2-gertty %_description
+
 %prep
 %setup -q -n %{pypi_name}-%{version}
 %patch0 -p1 -b .
@@ -72,7 +79,7 @@ sed -i 's/\r$//' LICENSE
 %install
 %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 
-%files
+%files -n python2-gertty
 %doc README.rst LICENSE CONTRIBUTING.rst
 %doc %{_datadir}/%{pypi_name}/examples/*
 %{_bindir}/*
@@ -81,6 +88,10 @@ sed -i 's/\r$//' LICENSE
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.4.0-4
+- Python 2 subpackage renamed to python2-gertty
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gevent-socketio/python-gevent-socketio.spec python-gevent-socketio/python-gevent-socketio.spec.tmp
index acb8d8d245..6e44551cb4 100644
--- python-gevent-socketio/python-gevent-socketio.spec
+++ python-gevent-socketio/python-gevent-socketio.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-%{pypi_name}
 Version:        0.3.6
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        SocketIO server based on the Gevent pywsgi server
 
 License:        BSD
@@ -13,20 +13,28 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-versiontools
-Requires:       python-gevent
-Requires:       python-gevent-websocket
 
 
-%description
-gevent-socketio is a Python implementation of the Socket.IO
-protocol, developed originally for Node.js by LearnBoost and then
-ported to other languages.  Socket.IO enables real-time web
-communications between a browser and a server, using a WebSocket-like
-API.  One aim of this project is to provide a single gevent-based
-API that works across the different WSGI-based web frameworks out
-there (Pyramid, Pylons, Flask, web2py, Django, etc...).  Only ~3 lines
+%global _description\
+gevent-socketio is a Python implementation of the Socket.IO\
+protocol, developed originally for Node.js by LearnBoost and then\
+ported to other languages.  Socket.IO enables real-time web\
+communications between a browser and a server, using a WebSocket-like\
+API.  One aim of this project is to provide a single gevent-based\
+API that works across the different WSGI-based web frameworks out\
+there (Pyramid, Pylons, Flask, web2py, Django, etc...).  Only ~3 lines\
 of code are required to tie-in gevent-socketio in your framework.
 
+%description %_description
+
+%package -n python2-%{pypi_name}
+Summary: %summary
+Requires:       python-gevent-websocket
+Requires:       python-gevent
+%{?python_provide:%python_provide python2-%{pypi_name}}
+
+%description -n python2-%{pypi_name} %_description
+
 %prep
 %setup -q -n %{pypi_name}-%{version}
 # Remove bundled egg-info
@@ -42,12 +50,16 @@ rm -rf %{pypi_name}.egg-info
 %{__python} setup.py install --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-%{pypi_name}
 %doc README.rst LICENSE
 %{python_sitelib}/socketio
 %{python_sitelib}/gevent_socketio-%{version}-py?.?.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.6-6
+- Python 2 subpackage renamed to python2-gevent-socketio
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-gitapi/python-gitapi.spec python-gitapi/python-gitapi.spec.tmp
index 357d71077f..cfc2186b6e 100644
--- python-gitapi/python-gitapi.spec
+++ python-gitapi/python-gitapi.spec.tmp
@@ -1,6 +1,6 @@
 Name:           python-gitapi
 Version:        1.1.0
-Release:        0.a3%{?dist}.5
+Release:        0.a3%{?dist}.6
 Summary:        Pure-Python API to git, which uses the command-line interface
 
 License:        MIT
@@ -13,11 +13,19 @@ Source1:        LICENSE
 BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools git
-Requires:       git
 
-%description
+%global _description\
 Pure-Python API to git, which uses the command-line interface.
 
+%description %_description
+
+%package -n python2-gitapi
+Summary: %summary
+Requires:       git
+%{?python_provide:%python_provide python2-gitapi}
+
+%description -n python2-gitapi %_description
+
 %package -n     python3-gitapi
 Summary:        Pure-Python API to git, which uses the command-line interface
 BuildRequires:  python3-devel
@@ -59,7 +67,7 @@ popd
 
 
 
-%files
+%files -n python2-gitapi
 %doc README.rst LICENSE
 %{python2_sitelib}/gitapi-%{version}a2-py%{python2_version}.egg-info
 %{python2_sitelib}/gitapi/
@@ -71,6 +79,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.1.0-0.a3.6
+- Python 2 subpackage renamed to python2-gitapi
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-0.a3.5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-glance-store/python-glance-store.spec python-glance-store/python-glance-store.spec.tmp
index b53a8a2d23..d6bbc931dc 100644
--- python-glance-store/python-glance-store.spec
+++ python-glance-store/python-glance-store.spec.tmp
@@ -4,7 +4,7 @@
 
 Name:           python-glance-store
 Version:        0.9.1
-Release:        5%{?dist}
+Release:        6%{?dist}
 Summary:        OpenStack Image Service Store Library
 
 License:        ASL 2.0
@@ -15,23 +15,31 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 BuildRequires:  python-pbr
-Requires:       python-eventlet
-Requires:       python-cinderclient >= 1.0.6
-Requires:       python-iso8601
-Requires:       python-six >= 1.9.0
-Requires:       python-stevedore
-Requires:       python-oslo-concurrency
-Requires:       python-oslo-config
-Requires:       python-oslo-i18n
-Requires:       python-oslo-serialization
-Requires:       python-oslo-utils
-Requires:       python-enum34
-Requires:       python-jsonschema
 
 
-%description
-OpenStack image service store library
+%global _description\
+OpenStack image service store library\
+
+
+%description %_description
 
+%package -n python2-glance-store
+Summary: %summary
+Requires:       python-jsonschema
+Requires:       python-enum34
+Requires:       python-oslo-utils
+Requires:       python-oslo-serialization
+Requires:       python-oslo-i18n
+Requires:       python-oslo-config
+Requires:       python-oslo-concurrency
+Requires:       python-stevedore
+Requires:       python-six >= 1.9.0
+Requires:       python-iso8601
+Requires:       python-cinderclient >= 1.0.6
+Requires:       python-eventlet
+%{?python_provide:%python_provide python2-glance-store}
+
+%description -n python2-glance-store %_description
 
 %prep
 %setup -q -n %{upstream_name}-%{upstream_version}
@@ -45,7 +53,7 @@ OpenStack image service store library
 %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 
 
-%files
+%files -n python2-glance-store
 %doc AUTHORS ChangeLog
 %{!?_licensedir:%global license %%doc}
 %license LICENSE
@@ -54,6 +62,10 @@ OpenStack image service store library
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.9.1-6
+- Python 2 subpackage renamed to python2-glance-store
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-5
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-GnuPGInterface/python-GnuPGInterface.spec python-GnuPGInterface/python-GnuPGInterface.spec.tmp
index d74ddf1165..eeacd076f1 100644
--- python-GnuPGInterface/python-GnuPGInterface.spec
+++ python-GnuPGInterface/python-GnuPGInterface.spec.tmp
@@ -4,7 +4,7 @@
 Summary:	A Python module to interface with GnuPG
 Name:		python-GnuPGInterface
 Version:	0.3.2
-Release:	18%{?dist}
+Release:	19%{?dist}
 License:	LGPLv2+
 Group:		Development/Languages
 URL:		http://py-gnupg.sourceforge.net/
@@ -13,11 +13,19 @@ BuildRequires:	python-devel
 BuildArch:	noarch
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-%description
-GnuPGInterface is a Python module to interface with GnuPG. It
-concentrates on interacting with GnuPG via filehandles, providing
+%global _description\
+GnuPGInterface is a Python module to interface with GnuPG. It\
+concentrates on interacting with GnuPG via filehandles, providing\
 access to control GnuPG via versatile and extensible means.
 
+%description %_description
+
+%package -n python2-gnupginterface
+Summary: %summary
+%{?python_provide:%python_provide python2-gnupginterface}
+
+%description -n python2-gnupginterface %_description
+
 %prep
 %setup -q -n %{pkgname}-%{version}
 
@@ -34,12 +42,16 @@ chmod 644 ChangeLog COPYING NEWS THANKS
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-gnupginterface
 %defattr(-,root,root)
 %doc ChangeLog COPYING NEWS THANKS
 %{python_sitelib}/%{pkgname}*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3.2-19
+- Python 2 subpackage renamed to python2-gnupginterface
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-18
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-google-apputils/python-google-apputils.spec python-google-apputils/python-google-apputils.spec.tmp
index 425c31f5cd..c1df9e842e 100644
--- python-google-apputils/python-google-apputils.spec
+++ python-google-apputils/python-google-apputils.spec.tmp
@@ -3,7 +3,7 @@
 
 Name:           python-%{srcname}
 Version:        0.4.2
-Release:        9%{?dist}
+Release:        10%{?dist}
 Summary:        Google Application Utilities for Python
 
 License:        ASL 2.0
@@ -18,27 +18,35 @@ BuildRequires:  python-gflags
 BuildRequires:  pytz
 # For tests
 BuildRequires:  python-mox
-Requires:       python-dateutil
-Requires:       python-gflags
-Requires:       pytz
 
-%description
-This project is a small collection of utilities for building Python
-applications. It includes some of the same set of utilities used to build and
-run internal Python apps at Google.
+%global _description\
+This project is a small collection of utilities for building Python\
+applications. It includes some of the same set of utilities used to build and\
+run internal Python apps at Google.\
+\
+Features:\
+\
+* Simple application startup integrated with python-gflags.\
+* Subcommands for command-line applications.\
+* Option to drop into pdb on uncaught exceptions.\
+* Helper functions for dealing with files.\
+* High-level profiling tools.\
+* Timezone-aware wrappers for datetime.datetime classes.\
+* Improved TestCase with the same methods as unittest2, plus helpful flags for\
+  test startup.\
+* google_test setuptools command for running tests.\
+* Helper module for creating application stubs.
 
-Features:
+%description %_description
 
-* Simple application startup integrated with python-gflags.
-* Subcommands for command-line applications.
-* Option to drop into pdb on uncaught exceptions.
-* Helper functions for dealing with files.
-* High-level profiling tools.
-* Timezone-aware wrappers for datetime.datetime classes.
-* Improved TestCase with the same methods as unittest2, plus helpful flags for
-  test startup.
-* google_test setuptools command for running tests.
-* Helper module for creating application stubs.
+%package -n python2-%{srcname}
+Summary: %summary
+Requires:       pytz
+Requires:       python-gflags
+Requires:       python-dateutil
+%{?python_provide:%python_provide python2-%{srcname}}
+
+%description -n python2-%{srcname} %_description
 
 %package -n python3-%{srcname}
 Summary:        Google Application Utilities for Python 3
@@ -115,7 +123,7 @@ popd
 #popd
 
  
-%files
+%files -n python2-%{srcname}
 %license python2/LICENSE
 %doc python2/README
 %{python2_sitelib}/*
@@ -127,6 +135,10 @@ popd
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.4.2-10
+- Python 2 subpackage renamed to python2-google-apputils
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-9
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-googlevoice/python-googlevoice.spec python-googlevoice/python-googlevoice.spec.tmp
index 4d8eb5def9..dbf343b9fc 100644
--- python-googlevoice/python-googlevoice.spec
+++ python-googlevoice/python-googlevoice.spec.tmp
@@ -2,7 +2,7 @@
 
 Name:           python-googlevoice
 Version:        0.5
-Release:        14%{?dist}
+Release:        15%{?dist}
 Summary:        Python language bindings for the Google Voice API
 
 Group:          Development/Languages
@@ -15,15 +15,22 @@ BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 BuildArch:      noarch
 BuildRequires:  python-setuptools
 
+%global _description\
+This project aims to bring the power of the Google Voice API to the\
+Python language in a simple, easy-to-use manner. Currently it allows\
+you to place calls, send sms, download voicemails/recorded messages,\
+and search the various folders of your Google Voice Accounts. You can\
+use the Python API or command line script to schedule calls, check for\
+new received calls/sms, or even sync your recorded voicemails/calls.
+
+%description %_description
+
+%package -n python2-googlevoice
+Summary: %summary
 Provides:       pygooglevoice = %{version}
+%{?python_provide:%python_provide python2-googlevoice}
 
-%description
-This project aims to bring the power of the Google Voice API to the
-Python language in a simple, easy-to-use manner. Currently it allows
-you to place calls, send sms, download voicemails/recorded messages,
-and search the various folders of your Google Voice Accounts. You can
-use the Python API or command line script to schedule calls, check for
-new received calls/sms, or even sync your recorded voicemails/calls.
+%description -n python2-googlevoice %_description
 
 %prep
 %setup0 -q -n pygooglevoice-%{version} -a 1
@@ -38,7 +45,7 @@ rm -rf $RPM_BUILD_ROOT
 %clean
 rm -rf $RPM_BUILD_ROOT
 
-%files
+%files -n python2-googlevoice
 %defattr(-,root,root,-)
 %doc doc examples
 %{_bindir}/asterisk-gvoice-setup
@@ -47,6 +54,10 @@ rm -rf $RPM_BUILD_ROOT
 %{python_sitelib}/*
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.5-15
+- Python 2 subpackage renamed to python2-googlevoice
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-14
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-grabserial/python-grabserial.spec python-grabserial/python-grabserial.spec.tmp
index b7bb7ebd51..bb2176c1cd 100644
--- python-grabserial/python-grabserial.spec
+++ python-grabserial/python-grabserial.spec.tmp
@@ -2,7 +2,7 @@
 
 Name: python-grabserial
 Version: 1.9.3
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: Reads a serial port and writes data to standard output
 
 License: GPLv2
@@ -12,13 +12,21 @@ Source0: https://github.com/tbird20d/grabserial/archive/v%{version}.tar.gz
 BuildArch: noarch
 BuildRequires: python-setuptools
 BuildRequires: python2-devel
-Requires: pyserial
 
-%description
-Grabserial reads a serial port and writes the data to standard output.The main
-purpose of this tool is to collect messages written to the serial console from
+%global _description\
+Grabserial reads a serial port and writes the data to standard output.The main\
+purpose of this tool is to collect messages written to the serial console from\
 a target board running Linux, and save the messages on a host machine.
 
+%description %_description
+
+%package -n python2-grabserial
+Summary: %summary
+Requires: pyserial
+%{?python_provide:%python_provide python2-grabserial}
+
+%description -n python2-grabserial %_description
+
 %prep
 %setup -qn %{realname}-%{version}
 
@@ -28,13 +36,17 @@ a target board running Linux, and save the messages on a host machine.
 %install
 %{__python2} setup.py install -O1 --skip-build --root %{buildroot}
 
-%files
+%files -n python2-grabserial
 %doc README
 %license LICENSE
 %{_bindir}/grabserial
 %{python2_sitelib}/*.egg-info
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.3-3
+- Python 2 subpackage renamed to python2-grabserial
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-grapefruit/python-grapefruit.spec python-grapefruit/python-grapefruit.spec.tmp
index bb7f7bb8ba..fdfb9439b3 100644
--- python-grapefruit/python-grapefruit.spec
+++ python-grapefruit/python-grapefruit.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:       python-grapefruit
 Version:    0.1a4
-Release:    6%{?dist}
+Release:    7%{?dist}
 Summary:    Python module for easy manipulation of color information
 
 Group:      Development/Libraries
@@ -16,10 +16,18 @@ Source0:    https://github.com/xav/Grapefruit/releases/download/%{version}/%{mod
 BuildArch:  noarch
 BuildRequires:  python2-devel
 
-%description
-GrapeFruit is a pure python module that let you easily manipulate and convert
+%global _description\
+GrapeFruit is a pure python module that let you easily manipulate and convert\
 color information. It's primary goal is to be natural and flexible.
 
+%description %_description
+
+%package -n python2-grapefruit
+Summary: %summary
+%{?python_provide:%python_provide python2-grapefruit}
+
+%description -n python2-grapefruit %_description
+
 %if 0%{?with_python3}
 %package -n python3-grapefruit
 Summary:        Python module for easy manipulation of color information
@@ -69,7 +77,7 @@ chmod a+x $RPM_BUILD_ROOT%{python2_sitelib}/grapefruit.py
 %{__python2} setup.py test
 %{__python3} setup.py test
 
-%files
+%files -n python2-grapefruit
 %license LICENSE
 %doc doc/ CHANGES COPYING README.rst TODO
 %{python_sitelib}/grapefruit-%{version}-py?.?.egg-info
@@ -85,6 +93,10 @@ chmod a+x $RPM_BUILD_ROOT%{python2_sitelib}/grapefruit.py
 %endif
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1a4-7
+- Python 2 subpackage renamed to python2-grapefruit
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1a4-6
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git python-grokmirror/python-grokmirror.spec python-grokmirror/python-grokmirror.spec.tmp
index f8c054a721..e4c6a88969 100644
--- python-grokmirror/python-grokmirror.spec
+++ python-grokmirror/python-grokmirror.spec.tmp
@@ -6,7 +6,7 @@
 
 Name:           python-grokmirror
 Version:        1.0.0
-Release:        4%{?dist}
+Release:        5%{?dist}
 Summary:        Framework to smartly mirror git repositories
 
 License:        GPLv3+
@@ -15,16 +15,24 @@ Source0:        https://www.kernel.org/pub/software/network/grokmirror/grokmirro
 
 BuildArch:      noarch
 BuildRequires:  python2-devel, python-setuptools
-Requires:       GitPython, python-anyjson, python-setuptools
 
-%description
-Grokmirror was written to make mirroring large git repository
-collections more efficient. Grokmirror uses the manifest file published
-by the master mirror in order to figure out which repositories to
-clone, and to track which repositories require updating. The process is
-extremely lightweight and efficient both for the master and for the
+%global _description\
+Grokmirror was written to make mirroring large git repository\
+collections more efficient. Grokmirror uses the manifest file published\
+by the master mirror in order to figure out which repositories to\
+clone, and to track which repositories require updating. The process is\
+extremely lightweight and efficient both for the master and for the\
 mirrors.
 
+%description %_description
+
+%package -n python2-grokmirror
+Summary: %summary
+Requires:       GitPython, python-anyjson, python-setuptools
+%{?python_provide:%python_provide python2-grokmirror}
+
+%description -n python2-grokmirror %_description
+
 %prep
 %setup -q -n grokmirror-%{version}
 
@@ -44,7 +52,7 @@ rm -rf %{buildroot}
 %{__install} -m 0644 man/*.1 %{buildroot}/%{_mandir}/man1/
 
 
-%files
+%files -n python2-grokmirror
 %doc README.rst COPYING repos.conf fsck.conf
 %{python_sitelib}/grokmirror/
 %{python_sitelib}/*.egg-info
@@ -53,6 +61,10 @@ rm -rf %{buildroot}
 
 
 %changelog
+* Sat Aug 05 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.0-5
+- Python 2 subpackage renamed to python2-grokmirror
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
